#include <YoutubeApi/youtubeapi.hpp>
#include <Database/database.hpp>
#include <fstream>
#include <iostream>

int main(int argc, char **argv) {
    if (argc == 1) {
        std::cout << "Программа не принимает 0 аргументов";
        exit(1);
    }
    //curl_global_init(CURL_GLOBAL_ALL);
    //get_videos_by_request("token", argv[1]);

    // Инициализация базы данных
    db::databaseInit(argv[1]);
    db::createTables();

    std::ifstream ifs("example.json");
    std::string content(
        (std::istreambuf_iterator<char>(ifs)),
        (std::istreambuf_iterator<char>())
    );

    ytapi::getVideosFromJSON(content);
}